﻿#region Using Statements
using Microsoft.Xna.Framework;
#endregion

namespace FoodFight
{
    public class Projectile : Renderable
    {
        public Projectile(ModelEntity modelToLoad)
            : base(modelToLoad)
        {
            _model = modelToLoad;
            this.MovementSpeed = 5.0f;
        }

        public override void  Update(GameTime gameTime)
        {
            this.Position = new Vector3(this.Position.X,
                this.Position.Y,
                this.Position.Z - MovementSpeed);
            _model.Update();
        }
    }
}
